Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/mupdf: upgrade to 1.7a

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Fri, 14 Aug 2015 21:09:07 +0200

---
 testing/mupdf/APKBUILD | 28 ++++++++++++++++++----------
 1 file changed, 18 insertions(+), 10 deletions(-)
diff --git a/testing/mupdf/APKBUILD b/testing/mupdf/APKBUILD
index 7acad95..2b0a256 100644
--- a/testing/mupdf/APKBUILD
+++ b/testing/mupdf/APKBUILD
_at_@ -1,7 +1,8 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Maintainer: Michael Zhou <zhoumichaely_at_gmail.com>
 pkgname=mupdf
-pkgver=1.6
-pkgrel=2
+pkgver=1.7a
+pkgrel=0
 pkgdesc="A lightweight PDF and XPS viewer"
 url="http://mupdf.com"
 arch="all"
_at_@ -11,21 +12,24 @@ makedepends="freetype-dev jpeg-dev jbig2dec-dev libx11-dev libxext-dev
 	openjpeg-dev"
 install=""
 subpackages="$pkgname-doc $pkgname-dev"
-source="http://mupdf.com/downloads/$pkgname-$pkgver-source.tar.gz
+source="http://mupdf.com/downloads/mupdf-${pkgver}-source.tar.gz
 	mupdf-openjpeg-2.1.patch
 	shared-lib.patch
 	"
 
-_builddir="$srcdir/$pkgname-$pkgver-source"
+_builddir="$srcdir/$pkgname-${pkgver}-source"
 prepare() {
-	local i
 	cd "$_builddir"
+
+	rm -rf thirdparty
+	sed '/^JBIG2DEC_CFLAGS :=/s|$| -I./include/mupdf|' -i Makethird
+
+	local i=
 	for i in $source; do
 		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1 ;;
 		esac
 	done
-	rm -r thirdparty
 }
 
 build() {
_at_@ -36,16 +40,20 @@ build() {
 package() {
 	cd "$_builddir"
 	make prefix=/usr DESTDIR="$pkgdir" install || return 1
+
 	rm -f "$pkgdir"/usr/lib/*.la
 	ln -s libmupdf.so.0 "$pkgdir"/usr/lib/libmupdf.so
+
+	# Create symlink
+	ln -s /usr/bin/$pkgname-x11 "$pkgdir"/usr/bin/$pkgname
 }
 
-md5sums="8d69db41ae9e0b6807b76bb6ed70dc2f  mupdf-1.6-source.tar.gz
+md5sums="319fda2cc5301bb3ec2e1d82c3329986  mupdf-1.7a-source.tar.gz
 4a8772b09af5152d9bf58e69834b74bf  mupdf-openjpeg-2.1.patch
 fab3502b8bcf3b6c4e5698f1cb33611d  shared-lib.patch"
-sha256sums="9813ee330950a641364181649ebd369c947adbcea9d41ed953ec5365640ea563  mupdf-1.6-source.tar.gz
+sha256sums="8c035ffa011fc44f8a488f70da3e6e51889508bbf66fe6b90a63e0cfa6c17d1c  mupdf-1.7a-source.tar.gz
 7b49af879df5eb2c79884a0983635fa335422edc9854bc4fbc44f653892827f2  mupdf-openjpeg-2.1.patch
 43c6a6ea06757e63ae581be89338f38ec22beb504ca6e5ee3073ef1585aabe01  shared-lib.patch"
-sha512sums="3a47d47b81550f531039153385fc22bb81a24df334706e23b7f118d08d97bb103566eef2a6ea3602ebe242fcb9d53304bb9d8230109572204491415a3a1b0645  mupdf-1.6-source.tar.gz
+sha512sums="5b8dc8146ef0aa652cc889b6470fc157287bb351cb0990216d5e891bdc4c1b287e0299b4291161938369df4b2591cb36a53ea415b7bd13b0c1415cb51b196ca7  mupdf-1.7a-source.tar.gz
 0a07dc0a0312ef0b6a20f6a89da7a2010008cf804a1c9b33667b17f263a69e46047a34dcb24e8015a98a61e28e1e302dc302c0fbb7303a61b00d9490146b7b83  mupdf-openjpeg-2.1.patch
 66bc7474473987a30009e54fbd12b49cb6682f12c86f5d9b9e6f6efd4c162d04d55a65f9d8373517e958951608c9e49eade8b63b140441c04ad2e75eebb8f053  shared-lib.patch"
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Aug 14 2015 - 21:09:07 GMT